<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">


<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <link href="https://fonts.googleapis.com/css?family=Quicksand&display=swap" rel="stylesheet">
  <script src="https://kit.fontawesome.com/1927c4eb85.js" crossorigin="anonymous"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>
  <link rel="stylesheet" th:href="@{/css/dashboard.css}" />
  <script type="text/javascript" th:src="@{/js/dashboard.js}"></script>
  <script type="text/javascript" th:src="@{/js/getPieChart.js}"></script>
  <script type="text/javascript" th:src="@{/js/deleteProject.js}"></script>
  <title>Dashboard</title>
</head>

<body>
  <div class='split'>
    <div class="split left">
      <div class="sidenav">
        <div class='menu '>
          <i class="fas fa-home fa-lg"></i>
          <a th:href="@{/home}">Home</a>
        </div>

        <div class='menu'>
          <i class="fas fa-chart-pie fa-lg"></i>
          <a th:href="@{/projects/__${projectId}__/log}"> History</a>
        </div>

        <div class='menu'>
          <i class="fas fa-user-alt fa-lg"></i>
          <a th:href="@{/projects/__${projectId}__/contributor}"> Contributor</a>
        </div>
      </div>
      <div class="centered">
        <h2>Dashboard</h2>
        <p>"name".</p>
        <div class="card" style="width: 30rem; height: 20rem;">
          <div class="card-header">
            Basic info :
          </div>
          <ul class="list-group list-group-flush">
            <li class="list-group-item">
              <div class="flex-container">
                <div style="flex-grow: 1">Project Name:</div>
                <div id="projectName" style="flex-grow: 1"></div>
              </div>
            </li>
            <li class="list-group-item">
              <div class="flex-container">
                <div style="flex-grow: 1">Project Description:</div>
                <div id="projectDesc" style="flex-grow: 1"></div>
              </div>
            </li>
            <li class="list-group-item">
              <div class="flex-container">
                <div style="flex-grow: 1">Total Project Expense:</div>
                <div id="projectTE" style="flex-grow: 1"></div>
              </div>
            </li>
            <li class="list-group-item">
              <div class="flex-container">
                <div style="flex-grow: 1">Total Project Income:</div>
                <div id="projectTI" style="flex-grow: 1"></div>
              </div>
            </li>
            <li class="list-group-item">
              <div class="flex-container">
                <div style="flex-grow: 1">Total Project E/I Difference:</div>
                <div id="projectDEI" style="flex-grow: 1"></div>
              </div>
            </li>
            <li class="list-group-item">
              <div class="flex-container">
                <div style="flex-grow: 1">Project Status:</div>
                <div id="projectStatus" style="flex-grow: 1"></div>
              </div>
            </li>
          </ul>
        </div>
        <br>
        <br>
        <button class="button button1">Daftar UserBaru</button>
      </div>
    </div>
    <div class="split right">
      <div class="centered">
        <div class="centered">
          <br>
          <h2>Chart Analysis :</h2>
          <div class="card" style="width: 36rem; height: 36rem;">
            <div class="card-header">
              Project Piechart
            </div>
            <img id="chart" src="" alt="Chart" />
          </div>
          <button class="button2" id="button2" th:href="@{/projects/__${projectId}__/edit}">Update Project</button>
          <button class="button3" id="button3">Delete Project</button>
        </div>
      </div>
    </div>
  </div>
</body>

</html>